Summary: Cistron RADIUS daemon (with PAM) 
Summary(pt_BR): Servidor RADIUS com muitas funcoes.
Summary(es): Servidor RADIUS con muchas funciones.
Name: radiusd-cistron
Version: 1.6.4
Release: 0
Source: ftp://ftp.freeradius.org/pub/radius/radiusd-cistron-1.6.4.tar.gz
Patch0: radiusd-cistron-1.6.4-redhat.patch
URL: http://www.cistron.nl/~miquels/radius/
Copyright: GPL
Group: Networking/Daemons
Group(pt_BR): Ambiente do Sistema/Servidores
Group(es): Ambiente del Sistema/Servidores (Daemons)
BuildRoot: /var/tmp/radiusd-cistron-%{version}.root

%description
Cistron RADIUS is an authentication and accounting server for terminal 
servers that speak the RADIUS protocol.  Short overview: 

- It's free (under the GNU GPL license) 
- Supports access based on huntgroups 
- Multiple DEFAULT entries in users file 
- All users file entries can optionally "fall through" 
- Caches all config files in-memory 
- Keeps a list of logged in users (radutmp file) 
- "radwho" program can be installed as "fingerd" 
- Logs both UNIX "wtmp" file format and RADIUS detail logfiles 
- Supports Simultaneous-Use = X parameter. Yes, this means that you can 
  now prevent double logins! 
- Supports Vendor-Specific attributes, including USRs non-standard ones. 
- Supports proxying 
- Supports the "Alive" packet 

%description -l pt_BR
Servidor RADIUS com muitas funes. Viso geral:

- Suporta acesso baseado em huntgroups
- Mltiplas entradas DEFAULT no arquivo de usurios
- Faz cache de todos os arquivos de configurao em memoria
- Mantm uma lista dos usurios conectados (arquivo radutmp)
- O programa "radwho" pode ser instalado como "fingerd"
- Registra tanto no formato UNIX wtmp quanto no RADIUS detail
- Suporta o parmetro Simultaneous-Use = X. Sim, isto significa
  que voc pode evitar logins duplos!, inclusive com o Cyclades PathRas

%description -l es
Servidor RADIUS con muchas funciones. Visin general: 

- Soporta acceso basado en huntgroups 
- Mltiples entradas POR DEFECTO en el archivo de usuarios 
- Hace el cach de todos los archivos de configuracin en memoria 
- Mantienen una lista de los usuarios conectados (archivo radutmp) 
- El programa "radwho" puede ser instalado como "fingerd" 
- Registra tanto en el formato UNIX wtmp como en el RADIUS detail 
- Soporta el parmetro Simultaneous-Use = X. S!, esto significa 
  que puedes evitar logins duplos.

%prep 
%setup -q
cd raddb
for f in clients users naslist huntgroups realms naspasswd ; do mv $f $f-dist ; done
chmod 640 *dist
cd ..
%patch0 -p1

find . -name \*.orig -exec rm {} \;

%build
cd src
make PAM=-DPAM PAMLIB="-lpam -ldl" CFLAGS="-Wall ${RPM_OPT_FLAGS}"
cd ..

%install
# prepare $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/{,etc/{,raddb,logrotate.d,pam.d,rc.d/{,init.d,rc{0,1,2,3,4,5,6}.d}},usr/{,bin,sbin,man/{,man{1,5,8}}},var/{,log/{,radacct}}}

# make install
cd src
make install BINDIR=${RPM_BUILD_ROOT}/usr/bin SBINDIR=${RPM_BUILD_ROOT}/usr/sbin RADIUS_DIR=${RPM_BUILD_ROOT}/etc/raddb
install -m 755 radtest ${RPM_BUILD_ROOT}/usr/bin/
cd ..

# radwatch
install -m 755 scripts/radwatch ${RPM_BUILD_ROOT}/usr/sbin/

# other files
cd redhat
install -m 555 rc.radiusd-redhat ${RPM_BUILD_ROOT}/etc/rc.d/init.d/radiusd.init
install -m 644 radiusd-logrotate ${RPM_BUILD_ROOT}/etc/logrotate.d/radiusd
install -m 644 radiusd-pam       ${RPM_BUILD_ROOT}/etc/pam.d/radius
cd ..

# man pages
cd doc
for i in 1 8; do
	install -m 444 *.$i ${RPM_BUILD_ROOT}/usr/man/man$i
done
install -m 444 clients.5rad ${RPM_BUILD_ROOT}/usr/man/man5/
install -m 444 naslist.5rad ${RPM_BUILD_ROOT}/usr/man/man5/
cd ..

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del radiusd.init
fi

%postin
if [ "$1" = "0" ]; then
	/sbin/chkconfig --add radiusd.init
fi
# done here to avoid messing up existing installations
for i in radutmp radwtmp # radius.log radwatch.log checkrad.log
do
  touch /var/log/$i
  chown root.root /var/log/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/ChangeLog doc/README doc/INSTALL.OLD doc/Makefile.README
%doc doc/README.Y2K doc/README.cisco doc/README.pam
%doc doc/README.proxy doc/README.simul doc/README.usersfile
%doc COPYRIGHT.Cistron COPYRIGHT.Livingston INSTALL

/usr/bin/
/usr/sbin/
/usr/man/man1/
/usr/man/man5/
/usr/man/man8/
#/var/log/checkrad.log
#/var/log/radwatch.log
#/var/log/radius.log
#/var/log/radwtmp
#/var/log/radutmp
/etc/raddb/
#%dir(missingok) /var/log/radacct/
%config /etc/pam.d/radius
%config /etc/logrotate.d/radiusd
/etc/rc.d/init.d/radiusd.init

%changelog
* Mon Sep 08 2000 Bruno Lopes F. Cabral <bruno@openline.com.br>
- build without the extra patches to be sent to cistron list

* Mon Sep 04 2000 Bruno Lopes F. Cabral <bruno@openline.com.br>
- updated source and patches to 1.6.4
- removed the enhanced-proxy patch as it doesn't work as expected
- removed the exec-program-wait bugfix as it isn't needed anymore
- need to update the pt_br and es descriptions. ask Conectiva?

* Wed May 24 2000 Bruno Lopes F. Cabral <bruno@openline.com.br>
- Included the (corrected) exec-program-wait "," bugfix
- Included the enhanced-proxy patch
- Correct usage of chkconfig (weird thing!!)

* Fri May 05 2000 Bruno Lopes F. Cabral <bruno@openline.com.br>
- Updated to 1.6.3-stable
- make install default files goes to /etc/raddb on this version. 
  fixed its location to RPM_BUILD_ROOT/etc/raddb

* Mon Jan 31 2000 Bruno Lopes F. Cabral <bruno@openline.com.br>
- Some fixes to the redhat stuff
- Removed users, naslist, huntgroups, clients, naspasswd (the server 
  will not start without configuring this files from included -dist 
  files) -- revoke of Nov 21 1999 revision behavior

* Sun Jan 23 2000 Daniel Rowe <bart@istnet.net.au>
- Rebuild of rpms to include 1.6.2stable patch

* Sat Nov 21 1998 Tim Hockin <thockin@ais.net>
- Based on work by Christopher McCrory <chrismcc@netus.com>
- Build with PAM
- Included pam.d/radius
- Fixed some small errors in this spec
- Changed to build to BuildRoot
- Changed Release to "beta11" from "1"
- Included users, naslist, huntgroups, clients files, not just -dist

* Tue Oct 27 1998 Mauricio Mello de Andrade <mandrade@mma.com.br>
- Corrected the script to Start/Stop the Radius under RH5.x
- Included the script to Rotate Radius Logs under RedHat
- Checkrad Utility now works fine with Cyclades PathRas

